## unzip-crypt 5.40

=== beos/Makefile ===
######################################################################
#
# Makefile for Info-ZIP's unzip, unzipsfx, and funzip on BeOS
#
# Copyright (c) 1998 Info-ZIP
#             Chris Herborth (chrish@qnx.com)
#
# This is the new New and Improved Makefile for BeOS; it will:
#
# 1) automatically detect your platform (PowerPC or x86) if none is
#    specified; the default compiler is CodeWarrior for PowerPC, or
#    gcc for x86
#
# 2) let you cross-compile for the other platform (PowerPC or x86), in
#    theory
#
# 3) let you use Metrowerks CodeWarrior (default) or GNU C to build with
#    for either platfor, in theory
#
# To choose a specific architecture, define the ARCH environment
# variable on the make command-line:
#
# ARCH=what make -f beos/Makefile
#
# where "what" can be "powerpc" or "x86".
#
# To choose a specific compiler, define the CC environment variable on
# the make command-line:
#
# CC=compiler make -f beos/Makefile
#
# where "compiler" can be "mwcc" or "x86".
#
# Of course, you can combine these two:
#
# ARCH=powerpc CC=mwcc make -f beos/Makefile
#
# or:
#
# CC=gcc ARCH=x86 make -f beos/Makefile
#
# To automatically install the fresh new unzip, use the "install" target:
#
# make -f beos/Makefile install

######################################################################
# Things that don't change:

SHELL = /bin/sh

# Punish those of you not running on SMP hardware...
MAKE  = make -j 4 -f beos/Makefile

LOC=$(LOCAL_UNZIP) -DPASSWD_FROM_STDIN
AF=$(LOC)

# UnZipSfx flags
SL = -o unzipsfx
SL2 = $(LF2)

# fUnZip flags
FL = -o funzip
FL2 = $(LF2)

# general-purpose stuff
CP = cp
RM = rm -f
LN = ln -sf
E =
O = .o
M = beos

# defaults for crc32 stuff and system-dependent headers
CRC32 = crc32
OSDEP_H = beos/beos.h

# object files
OBJS1 = unzip$O $(CRC32)$O crctab$O crypt$O envargs$O explode$O
OBJS2 = extract$O fileio$O globals$O inflate$O list$O match$O
OBJS3 = process$O ttyio$O unreduce$O unshrink$O zipinfo$O
OBJS = $(OBJS1) $(OBJS2) $(OBJS3) $M$O $(BEOS_MAIN)
LOBJS = $(OBJS)
OBJSDLL = $(OBJS) api$O
OBJX = unzipsfx$O $(CRC32)$O crctab$O crypt$O extract_$O fileio$O globals$O \
	inflate$O match$O process_$O ttyio$O $M_$O $(BEOS_MAIN)
LOBJX = $(OBJX)
OBJF = funzip$O $(CRC32)$O crypt_$O globals_$O inflate_$O ttyio_$O
UNZIP_H = unzip.h unzpriv.h globals.h $(OSDEP_H)

# installation
INSTALL = install
# on some systems, manext=l and MANDIR=/usr/man/man$(manext) may be appropriate
manext = 1
prefix = /boot/home/config
BINDIR = $(prefix)/bin#			where to install executables
MANDIR = $(prefix)/man/man$(manext)#	where to install man pages
INSTALLEDBIN = $(BINDIR)/funzip$E $(BINDIR)/zipinfo$E $(BINDIR)/unzipsfx$E \
	$(BINDIR)/unzip$E
INSTALLEDMAN = $(MANDIR)/unzip.$(manext) $(MANDIR)/funzip.$(manext) \
	$(MANDIR)/unzipsfx.$(manext) $(MANDIR)/zipinfo.$(manext)
#
UNZIPS = unzip$E funzip$E unzipsfx$E zipinfo$E
# this is a little ugly...well, no, it's a lot ugly:
MANS = unix/unzip.1 unix/unzipsfx.1 unix/zipinfo.1 unix/funzip.1
DOCS = unzip.doc unzipsfx.doc zipinfo.doc funzip.doc

######################################################################
# Things that change:

# Select an architecture:
ifndef ARCH
MACHINE=$(shell uname -m)
ifeq "$(MACHINE)" "BePC"
ARCH=x86
CC=gcc
else
ARCH=powerpc
CC=mwcc
endif
endif

# Now select compiler flags and whatnot based on the ARCH and CC:
WHAT=$(ARCH)-$(CC)

ifeq "$(WHAT)" "powerpc-mwcc"
CC=mwccppc
LD=mwccppc
CF=-w9 -O7 -opt schedule604 -rostr -I. $(LOC)
LF=-o unzip
LF2=-warn -L/boot/develop/lib/ppc -lbe -lroot
BEOS_MAIN=beosmain$O
TARGET=$(UNZIPS)
endif

ifeq "$(WHAT)" "powerpc-gcc"
CC=gcc
LD=gcc
CF=-O3 -mcpu=604 -Wall -ansi -I. -I/boot/develop/headers/be/support \
   -I/boot/develop/headers/be/storage $(LOC)
LF=-o unzip
LF2=-L/boot/develop/lib/ppc -lbe -lroot
BEOS_MAIN=beosmain$O
TARGET=$(UNZIPS)
endif

# This isn't likely to happen for R4 or later...
ifeq "$(WHAT)" "x86-mwcc"
CC=mwccx86
LD=mwccx86
CF=-O2 -w9 -I. $(LOC)
LF=-o unzip
LF2=-warn -L/boot/develop/lib/x86 -lbe -lroot
BEOS_MAIN=beosmain$O
TARGET=$(UNZIPS)
endif

ifeq "$(WHAT)" "x86-gcc"
CC=gcc
LD=gcc
CF=-O3 -mcpu=i586 -Wall -ansi -I. -I/boot/develop/headers/be/support \
   -I/boot/develop/headers/be/storage $(LOC)
LF=-o unzip
LF2=-L/boot/develop/lib/x86 -lbe -lroot
BEOS_MAIN=beosmain$O
TARGET=$(UNZIPS)
endif

ifndef TARGET
TARGET=help
endif

######################################################################
# Helpful targets
all:
	@echo 'TARGET = $(TARGET)'
	@echo 'ARCH   = $(ARCH)'
	@echo 'CC     = $(CC)'
	if [ -n "$(TARGET)" ] ; then \
		$(MAKE) CC=$(CC) CF="$(CF)" LD="$(LD)" \
			LF="$(LF)" LF2="$(LF2)" CCPP="$(CC)" CPPF="$(CF)" \
			OBJS="$(OBJS)" LOBJS="$(LOBJS)" OBJX="$(OBJX)" \
			LOBJX="$(LOBJX)" $(TARGET) ; \
	else \
		$(MAKE) help ; \
	fi

help:
	@echo ''
	@echo "This Makefile lets you build Info-ZIP's zip."
	@echo ''
	@echo 'To build zip for this computer using the default compiler, just do:'
	@echo ''
	@echo '	make -f beos/Makefile'
	@echo ''
	@echo 'To build zip for a specific architecture using a specific'
	@echo 'compiler, do:'
	@echo ''
	@echo '	ARCH=cpu CC=compiler make -f beos/Makefile'
	@echo ''
	@echo 'Where:'
	@echo '	cpu is either "powerpc" or "x86"'
	@echo '	compiler is either "mwcc" or "gcc"'
	@echo ''

######################################################################
# Basic compile instructions and dependencies

# this is for GNU make; comment out and notify zip-bugs if it causes errors
.SUFFIXES:	.c .o

# default for compiling C files
.c.o:
	$(CC) -c $(CF) $*.c


unzips:		$(UNZIPS)
objs:		$(OBJS)
objsdll:	$(OBJSDLL)
docs:		$(DOCS)
unzipsman:	unzips docs
unzipsdocs:	unzips docs


unzip$E:	$(OBJS) beos/unzip.rsc
	$(LD) $(LF) $(LOBJS) $(LF2)
	chmod +x unzip$E
	xres -o unzip$E beos/unzip.rsc
	mimeset -f -all unzip$E

unzipsfx$E:	$(OBJX) beos/unzipsfx.rsc
	$(LD) $(SL) $(LOBJX) $(SL2)
	chmod +x unzipsfx$E
	xres -o unzipsfx$E beos/unzipsfx.rsc
	mimeset -f -all unzipsfx

funzip$E:	$(OBJF)
	$(LD) $(FL) $(OBJF) $(FL2)
	chmod +x funzip$E

zipinfo$E:	unzip$E
	$(LN) unzip$E zipinfo$E


crc32$O:	crc32.c $(UNZIP_H) zip.h
crctab$O:	crctab.c $(UNZIP_H) zip.h
crypt$O:	crypt.c $(UNZIP_H) zip.h crypt.h ttyio.h
envargs$O:	envargs.c $(UNZIP_H)
explode$O:	explode.c $(UNZIP_H)
extract$O:	extract.c $(UNZIP_H) crypt.h
fileio$O:	fileio.c $(UNZIP_H) crypt.h ttyio.h ebcdic.h
funzip$O:	funzip.c $(UNZIP_H) crypt.h ttyio.h tables.h
globals$O:	globals.c $(UNZIP_H)
inflate$O:	inflate.c inflate.h $(UNZIP_H)
list$O:		list.c $(UNZIP_H)
match$O:	match.c $(UNZIP_H)
process$O:	process.c $(UNZIP_H)
ttyio$O:	ttyio.c $(UNZIP_H) zip.h crypt.h ttyio.h
unreduce$O:	unreduce.c $(UNZIP_H)
unshrink$O:	unshrink.c $(UNZIP_H)
unzip$O:	unzip.c $(UNZIP_H) crypt.h version.h consts.h
zipinfo$O:	zipinfo.c $(UNZIP_H)

crypt_$O:	crypt.c $(UNZIP_H) zip.h crypt.h ttyio.h	# funzip only
	$(CP) crypt.c crypt_.c
	$(CC) -c $(CF) -DFUNZIP crypt_.c
	$(RM) crypt_.c

extract_$O:	extract.c $(UNZIP_H) crypt.h			# unzipsfx only
	$(CP) extract.c extract_.c
	$(CC) -c $(CF) -DSFX extract_.c
	$(RM) extract_.c

globals_$O:	globals.c $(UNZIP_H)				# funzip only
	$(CP) globals.c globals_.c
	$(CC) -c $(CF) -DFUNZIP globals_.c
	$(RM) globals_.c

inflate_$O:	inflate.c inflate.h $(UNZIP_H) crypt.h		# funzip only
	$(CP) inflate.c inflate_.c
	$(CC) -c $(CF) -DFUNZIP inflate_.c
	$(RM) inflate_.c

ttyio_$O:	ttyio.c $(UNZIP_H) zip.h crypt.h ttyio.h	# funzip only
	$(CP) ttyio.c ttyio_.c
	$(CC) -c $(CF) -DFUNZIP ttyio_.c
	$(RM) ttyio_.c

process_$O:	process.c $(UNZIP_H)				# unzipsfx only
	$(CP) process.c process_.c
	$(CC) -c $(CF) -DSFX process_.c
	$(RM) process_.c

beos$O:		beos/beos.c $(UNZIP_H) version.h		# BeOS only
	$(CC) -c $(CF) beos/beos.c

beosmain$O:	beos/beosmain.cpp $(UNZIP_H) version.h	# BeOS only
	$(CCPP) -c $(CPPF) beos/beosmain.cpp

# version() not used by unzipsfx, so no version.h dependency
beos_$O:		beos/beos.c $(UNZIP_H)				# unzipsfx only
	$(CP) beos/beos.c beos_.c
	$(CC) -c $(CF) -Ibeos -DSFX beos_.c
	$(RM) beos_.c

beosmain_$O:	beos/beosmain.cpp $(UNZIP_H)
	$(CP) beos/beosmain.cpp beosmain_.cpp
	$(CCPP) -c $(CPPF) -Ibeos -DSFX beosmain_.cpp
	$(RM) beosmain_.cpp

unzipsfx$O:	unzip.c $(UNZIP_H) crypt.h version.h consts.h	# unzipsfx only
	$(CP) unzip.c unzipsfx.c
	$(CC) -c $(CF) -DSFX unzipsfx.c
	$(RM) unzipsfx.c


# this really only works for Unix targets, unless E and O specified on cmd line
clean:
	-rm -f $(UNZIPS) $(OBJS) $(OBJF) $(OBJX) api$O apihelp$O crc_gcc$O \
	  unzipstb$O beosmain.o beosmain_.o

install:	all
	$(INSTALL) -m 755 $(UNZIPS) $(BINDIR)
	mimeset -f -all $(BINDIR)/unzip
	mimeset -f -all $(BINDIR)/unzipsfx
	$(RM) $(BINDIR)/zipinfo$E
	$(LN) unzip$E $(BINDIR)/zipinfo$E
	$(RM) $(BINDIR)/zipgrep$E
	$(INSTALL) -m 755 unix/zipgrep $(BINDIR)/zipgrep$E
	$(INSTALL) -m 644 unix/unzip.1 $(MANDIR)/unzip.$(manext)
	$(INSTALL) -m 644 unix/unzipsfx.1 $(MANDIR)/unzipsfx.$(manext)
	$(INSTALL) -m 644 unix/zipinfo.1 $(MANDIR)/zipinfo.$(manext)
	$(INSTALL) -m 644 unix/funzip.1 $(MANDIR)/funzip.$(manext)
	$(INSTALL) -m 644 $(DOCS) $(MANDIR)

# alternatively, could use zip method:  -cd $(BINDIR); rm -f $(UNZIPS)  [etc.]
uninstall:
	rm -f $(INSTALLEDBIN) $(INSTALLEDMAN)


TESTZIP = testmake.zip	# the test zipfile

# test some basic features of the build
test:		check

check:	unzips
	@echo '  This is a Unix-specific target.  (Just so you know.)'
	@echo '  (Should work ok on BeOS... [cjh])'
	if test ! -f $(TESTZIP); then \
		echo "  error:  can't find test file $(TESTZIP)"; exit 1; fi
#
	echo "  testing extraction"
	./unzip -b $(TESTZIP) testmake.zipinfo
	if test $? ; then \
	    echo "  error:  file extraction from $(TESTZIP) failed"; exit 1; fi
#
	echo '  testing zipinfo (unzip -Z)'
	./unzip -Z $(TESTZIP) > testmake.unzip-Z
	if diff testmake.unzip-Z testmake.zipinfo; then ;; else \
	    echo '  error:  zipinfo output doesn't match stored version'; fi
	$(RM) testmake.unzip-Z testmake.zipinfo
#
	echo '  testing unzip -d exdir option'
	./unzip -b $(TESTZIP) -d testun
	cat testun/notes
#
	echo '  testing unzip -o and funzip (ignore funzip warning)'
	./unzip -boq $(TESTZIP) notes -d testun
	./funzip < $(TESTZIP) > testun/notes2
	if diff testun/notes testun/notes2; then ;; else \
	    echo 'error:  funzip output disagrees with unzip'; fi
#
	echo '  testing unzipsfx (self-extractor)'
	cat unzipsfx $(TESTZIP) > testsfx
	$(CHMOD) 0700 testsfx
	./testsfx -b notes
	if diff notes testun/notes; then ;; else \
	    echo '  error:  unzipsfx file disagrees with unzip'; fi
	$(RM) testsfx notes testun/notes testun/notes2
	rmdir testun
#
	echo '  testing complete.'

=== unix/Makefile ===
#==============================================================================
# Makefile for UnZip, UnZipSFX and fUnZip:  Unix and MS-DOS ("real" makes only)
# Version:  5.4                                                19 November 1998
#==============================================================================


# INSTRUCTIONS (such as they are):
#
# "make sunos"	-- makes UnZip in current directory on a generic SunOS 4.x Sun
# "make list"	-- lists all supported systems (targets)
# "make help"	-- provides pointers on what targets to try if problems occur
# "make wombat" -- chokes and dies if you haven't added the specifics for your
#		    Wombat 68000 (or whatever) to the systems list
#
# CF are flags for the C compiler.  LF are flags for the loader.  LF2 are more
# flags for the loader, if they need to be at the end of the line instead of at
# the beginning (for example, some libraries).  FL and FL2 are the corre-
# sponding flags for fUnZip.  LOCAL_UNZIP is an environment variable that can
# be used to add default C flags to your compile without editing the Makefile
# (e.g., -DDEBUG_STRUC, or -FPi87 on PCs using Microsoft C).
#
# Some versions of make do not define the macro "$(MAKE)"; this is rare, but
# if things don't work, try using "make" instead of "$(MAKE)" in your system's
# makerule.  Or try adding the following line to your .login file:
#	setenv MAKE "make"
# (That never works--makes that are too stupid to define MAKE are also too
# stupid to look in the environment--but try it anyway for kicks. :-) )
#
# Memcpy and memset are provided for those systems that don't have them; they
# are in fileio.c and will be used if -DZMEM is included in CF.  These days
# almost all systems have them.
#
# Be sure to test your new UnZip (and UnZipSFX and fUnZip); successful compila-
# tion does not always imply a working program.


#####################
# MACRO DEFINITIONS #
#####################

# Defaults most systems use (use LOCAL_UNZIP in environment to add flags,
# such as -DDOSWILD).

# UnZip flags
CC = cc#	try using "gcc" target rather than changing this (CC and LD
LD = $(CC)#	must match, else "unresolved symbol:  ___main" is possible)
AS = as
LOC = $(LOCAL_UNZIP)
AF = $(LOC)
CF = -O -I. $(LOC)
LF = -o unzip
LF2 = -s

# UnZipSFX flags
SL = -o unzipsfx
SL2 = $(LF2)

# fUnZip flags
FL = -o funzip
FL2 = $(LF2)

# general-purpose stuff
#CP = cp
CP = ln
LN = ln
RM = rm -f
CHMOD = chmod
BINPERMS = 755
MANPERMS = 644
STRIP = strip
E =
O = .o
M = unix
SHELL = /bin/sh

# defaults for crc32 stuff and system dependent headers
CRC32 = crc32
OSDEP_H =

# object files
OBJS1 = unzip$O $(CRC32)$O crctab$O crypt$O envargs$O explode$O
OBJS2 = extract$O fileio$O globals$O inflate$O list$O match$O
OBJS3 = process$O ttyio$O unreduce$O unshrink$O zipinfo$O
OBJS = $(OBJS1) $(OBJS2) $(OBJS3) $M$O
LOBJS = $(OBJS)
OBJSDLL = $(OBJS:.o=.pic.o) api.pic.o
OBJX = unzipsfx$O $(CRC32)$O crctab$O crypt$O extract_$O fileio$O globals$O \
	inflate$O match$O process_$O ttyio$O $M_$O
LOBJX = $(OBJX)
OBJF = funzip$O $(CRC32)$O crypt_$O globals_$O inflate_$O ttyio_$O
#OBJS_OS2 = $(OBJS1:.o=.obj) $(OBJS2:.o=.obj) os2.obj
#OBJF_OS2 = $(OBJF:.o=.obj)
UNZIP_H = unzip.h unzpriv.h globals.h $(OSDEP_H)

# installation
# (probably can change next two to `install' and `install -d' if you have it)
INSTALL = cp
INSTALL_D = mkdir -p
# on some systems, manext=l and MANDIR=/usr/man/man$(manext) may be appropriate
manext = 1
prefix = /usr/local
BINDIR = $(prefix)/bin#			where to install executables
MANDIR = $(prefix)/man/man$(manext)#	where to install man pages
INSTALLEDBIN = $(BINDIR)/funzip$E $(BINDIR)/unzip$E $(BINDIR)/unzipsfx$E \
	$(BINDIR)/zipgrep$E $(BINDIR)/zipinfo$E
INSTALLEDMAN = $(MANDIR)/funzip.$(manext) $(MANDIR)/unzip.$(manext) \
	$(MANDIR)/unzipsfx.$(manext) $(MANDIR)/zipgrep.$(manext) \
	$(MANDIR)/zipinfo.$(manext)

# Solaris 2.x stuff:
PKGDIR = IZunzip
VERSION = Version 5.4

UNZIPS = unzip$E funzip$E unzipsfx$E
# this is a little ugly...well, OK, it's a lot ugly:
MANS = unix/funzip.1 unix/unzip.1 unix/unzipsfx.1 unix/zipgrep.1 unix/zipinfo.1
DOCS = funzip.doc unzip.doc unzipsfx.doc zipgrep.doc zipinfo.doc

# list of supported systems/targets in this version
SYSTEMS1 = generic generic2 generic3 generic_zlib generic_shlib
SYSTEMS2 = 386i 3Bx 7300 7300_gcc aix aix_rt amdahl amdahl_eft apollo aviion
SYSTEMS3 = bsd bsdi bsdi_noasm bull coherent convex cray cray_opt cyber_sgi
SYSTEMS4 = dec dnix encore eta freebsd gcc gould hk68 hp hpux isc isc_gcc isi
SYSTEMS5 = linux linux_dos linux_noasm linux_shlib linux_shlibz lynx minix
SYSTEMS6 = mips next next10 next2x next3x nextfat osf1 pixel ptx pyramid
SYSTEMS7 = qnxnto realix regulus rs6000 sco sco_dos sco_sl sco_x286 sequent sgi
SYSTEMS8 = solaris solaris_pkg stardent stellar sunos3 sunos4 sysv sysv_gcc
SYSTEMS9 = sysv6300 tahoe ti_sysv ultrix vax v7 wombat xenix xos


####################
# DEFAULT HANDLING #
####################

# By default, print help on which makefile targets to try.  (The SYSTEM
# variable is no longer supported; use "make <target>" instead.)

help:
	@echo ""
	@echo\
 "  If you're not sure about the characteristics of your system, try typing"
	@echo\
 '  "make generic".  If the compiler barfs and says something unpleasant about'
	@echo\
 '  "timezone redefined," try typing "make clean" followed by "make generic2".'
	@echo\
 '  If, on the other hand, it complains about an undefined symbol _ftime, try'
	@echo\
 '  typing "make clean" followed by "make generic3".  One of these actions'
	@echo\
 '  should produce a working copy of unzip on most Unix systems.  If you know'
	@echo\
 '  a bit more about the machine on which you work, you might try "make list"'
	@echo\
 '  for a list of the specific systems supported herein.  (Many of them do'
	@echo\
 "  exactly the same thing, so don't agonize too much over which to pick if"
	@echo\
 '  two or more sound equally likely.)  Also check out the INSTALL file for'
	@echo\
 '  notes on compiling various targets.  As a last resort, feel free to read'
	@echo\
 '  the numerous comments within the Makefile itself.  Note that to compile'
	@echo\
 '  the decryption version of UnZip, you must obtain the full versions of'
	@echo\
 '  crypt.c and crypt.h (see the "WHERE" file for ftp and mail-server sites).'
	@echo\
 '  Have a mostly pretty good day.'
	@echo ""

list:
	@echo ""
	@echo\
 'Type "make <system>", where <system> is one of the following:'
	@echo ""
	@echo  "	$(SYSTEMS1)"
	@echo ""
	@echo  "	$(SYSTEMS2)"
	@echo  "	$(SYSTEMS3)"
	@echo  "	$(SYSTEMS4)"
	@echo  "	$(SYSTEMS5)"
	@echo  "	$(SYSTEMS6)"
	@echo  "	$(SYSTEMS7)"
	@echo  "	$(SYSTEMS8)"
	@echo  "	$(SYSTEMS9)"
#	@echo ""
#	@echo\
# 'Targets for related utilities (ZipInfo and fUnZip) include:'
#	@echo ""
#	@echo  "	$(SYS_UTIL1)"
#	@echo  "	$(SYS_UTIL2)"
	@echo ""
	@echo\
 'For further (very useful) information, please read the comments in Makefile.'
	@echo ""

generic_msg:
	@echo ""
	@echo\
 '  Attempting "make generic" now.  If this fails for some reason, type'
	@echo\
 '  "make help" and/or "make list" for suggestions.'
	@echo ""


###############################################
# BASIC COMPILE INSTRUCTIONS AND DEPENDENCIES #
###############################################

# this is for GNU make; comment out and notify zip-bugs if it causes errors
.SUFFIXES:	.c .o .obj .pic.o

# yes, we should be able to use the $O macro to combine these two, but it
# fails on some brain-damaged makes (e.g., AIX's)...no big deal
.c.o:
	$(CC) -c $(CF) $*.c

.c.obj:
	$(CC) -c $(CF) $*.c

.c.pic.o:
	$(CC) -c $(CF) -o $@ $*.c

# this doesn't work...directories are always a pain with implicit rules
#.1.doc:		unix/$<
#	nroff -Tman -man $< | col -b | uniq | \
#	 sed 's/Sun Release ..../Info-ZIP        /' > $@


# these rules may be specific to Linux (or at least the GNU groff package)
# and are really intended only for the authors' use in creating non-Unix
# documentation files (which are provided with both source and binary
# distributions).  We should probably add a ".1.doc" rule for more generic
# systems...

funzip.doc:	unix/funzip.1
	nroff -Tascii -man unix/funzip.1 | col -b | uniq | expand > $@

unzip.doc:	unix/unzip.1
	nroff -Tascii -man unix/unzip.1 | col -b | uniq | expand > $@

unzipsfx.doc:	unix/unzipsfx.1
	nroff -Tascii -man unix/unzipsfx.1 | col -b | uniq | expand > $@

zipgrep.doc:	unix/zipgrep.1
	nroff -Tascii -man unix/zipgrep.1 | col -b | uniq | expand > $@

zipinfo.doc:	unix/zipinfo.1
	nroff -Tascii -man unix/zipinfo.1 | col -b | uniq | expand > $@


all:		generic_msg generic
unzips:		$(UNZIPS)
objs:		$(OBJS)
objsdll:	$(OBJSDLL)
docs:		$(DOCS)
unzipsman:	unzips docs
unzipsdocs:	unzips docs


# EDIT HERE FOR PARALLEL MAKES on Sequent (and others?)--screws up MS-DOS
# make utilities if default:  change "unzip$E:" to "unzip$E:&"

unzip$E:	$(OBJS)			# add `&' for parallel makes
	$(LD) $(LF) $(LOBJS) $(LF2)

unzipsfx$E:	$(OBJX)			# add `&' for parallel makes
	$(LD) $(SL) $(LOBJX) $(SL2)

funzip$E:	$(OBJF)			# add `&' for parallel makes
	$(LD) $(FL) $(OBJF) $(FL2)

zipinfo$E:	unzip$E			# `&' is pointless here...
	@echo\
 '  This is a Unix-specific target.  ZipInfo is not enabled in some MS-DOS'
	@echo\
 '  versions of UnZip; if it is in yours, copy unzip.exe to zipinfo.exe'
	@echo\
 '  or else invoke as "unzip -Z" (in a batch file, for example).'
	$(LN) unzip$E zipinfo$E


crc32$O:	crc32.c $(UNZIP_H) zip.h
crctab$O:	crctab.c $(UNZIP_H) zip.h
crypt$O:	crypt.c $(UNZIP_H) zip.h crypt.h ttyio.h
envargs$O:	envargs.c $(UNZIP_H)
explode$O:	explode.c $(UNZIP_H)
extract$O:	extract.c $(UNZIP_H) crypt.h
fileio$O:	fileio.c $(UNZIP_H) crypt.h ttyio.h ebcdic.h
funzip$O:	funzip.c $(UNZIP_H) crypt.h ttyio.h tables.h
globals$O:	globals.c $(UNZIP_H)
inflate$O:	inflate.c inflate.h $(UNZIP_H)
list$O:		list.c $(UNZIP_H)
match$O:	match.c $(UNZIP_H)
process$O:	process.c $(UNZIP_H)
ttyio$O:	ttyio.c $(UNZIP_H) zip.h crypt.h ttyio.h
unreduce$O:	unreduce.c $(UNZIP_H)
unshrink$O:	unshrink.c $(UNZIP_H)
unzip$O:	unzip.c $(UNZIP_H) crypt.h version.h consts.h
zipinfo$O:	zipinfo.c $(UNZIP_H)

crypt_$O:	crypt.c $(UNZIP_H) zip.h crypt.h ttyio.h	# funzip only
	-$(CP) crypt.c crypt_.c
	$(CC) -c $(CF) -DFUNZIP crypt_.c
	$(RM) crypt_.c

extract_$O:	extract.c $(UNZIP_H) crypt.h			# unzipsfx only
	-$(CP) extract.c extract_.c
	$(CC) -c $(CF) -DSFX extract_.c
	$(RM) extract_.c

globals_$O:	globals.c $(UNZIP_H)				# funzip only
	-$(CP) globals.c globals_.c
	$(CC) -c $(CF) -DFUNZIP globals_.c
	$(RM) globals_.c

inflate_$O:	inflate.c inflate.h $(UNZIP_H) crypt.h		# funzip only
	-$(CP) inflate.c inflate_.c
	$(CC) -c $(CF) -DFUNZIP inflate_.c
	$(RM) inflate_.c

ttyio_$O:	ttyio.c $(UNZIP_H) zip.h crypt.h ttyio.h	# funzip only
	-$(CP) ttyio.c ttyio_.c
	$(CC) -c $(CF) -DFUNZIP ttyio_.c
	$(RM) ttyio_.c

# optional assembler replacements
crc_i86$O:	msdos/crc_i86.asm				# 16bit only
	$(AS) $(AF) msdos/crc_i86.asm $(ASEOL)

crc_gcc$O:	crc_i386.S					# 32bit, GNU AS
	$(AS) $(AF) -x assembler-with-cpp -c -o $@ crc_i386.S

crc_gcc.pic.o:	crc_i386.S					# 32bit, GNU AS
	$(AS) $(AF) -x assembler-with-cpp -c -o $@ crc_i386.S

crc_sysv$O:	crc_i386.S					# 32bit, SysV AS
	$(CC) -E $(AF) crc_i386.S >crc_i386.s
	$(AS) -o $@ crc_i386.s
	$(RM) crc_i386.s

msdos$O:	msdos/msdos.c $(UNZIP_H) version.h		# DOS only
	$(CC) -c $(CF) msdos/msdos.c

msdos_$O:	msdos/msdos.c $(UNZIP_H)			# DOS unzipsfx
	-$(CP) msdos/msdos.c msdos_.c > nul
	$(CC) -c $(CF) -DSFX msdos_.c
	$(RM) msdos_.c

#os2$O:		os2/os2.c $(UNZIP_H)				# OS/2 only
#	$(CC) -c $(CF) os2/os2.c


process_$O:	process.c $(UNZIP_H)				# unzipsfx only
	-$(CP) process.c process_.c
	$(CC) -c $(CF) -DSFX process_.c
	$(RM) process_.c

unix$O:		unix/unix.c $(UNZIP_H) version.h		# Unix only
	$(CC) -c $(CF) unix/unix.c

unix_$O:	unix/unix.c $(UNZIP_H)				# Unix unzipsfx
	-$(CP) unix/unix.c unix_.c
	$(CC) -c $(CF) -DSFX unix_.c
	$(RM) unix_.c

unix.pic.o:	unix/unix.c $(UNZIP_H) version.h		# Unix shlib
	$(CC) -c $(CF) -o $@ unix/unix.c

=== win32/Makefile ===
# NMAKE Makefile for Windows NT/Windows 95
#   D. Feinleib 7/92 <t-davefe@microsoft.com>
#   H. Gessau 9/93 <henryg@kullmar.kullmar.se>
#   J. Lee 8/95 (johnnyl@microsoft.com)
#
# Last revised:  24 Nov 98
#
# Tested with VC++ 2.0 for NT for MIPS and Alpha, Visual C++ 2.2 for Intel CPUs
#

# Nmake macros for building Windows NT applications
# To build with debug info use 'nmake debug=1'
!IFNDEF debug
NODEBUG=1
!ENDIF

!IF "$(CPU)" == ""  &&  "$(PROCESSOR_ARCHITECTURE)" == "x86"
CPU = i386
!ENDIF
!IF "$(CPU)" == ""  &&  "$(PROCESSOR_ARCHITECTURE)" == "MIPS"
CPU = $(PROCESSOR_ARCHITECTURE)
!ENDIF
!IF "$(CPU)" == ""  &&  "$(PROCESSOR_ARCHITECTURE)" == "ALPHA"
CPU = $(PROCESSOR_ARCHITECTURE)
!ENDIF
!IF "$(CPU)" == ""  &&  "$(PROCESSOR_ARCHITECTURE)" == "PPC"
CPU = $(PROCESSOR_ARCHITECTURE)
!ENDIF
!IF "$(CPU)" == ""
CPU = i386
!ENDIF

!include <ntwin32.mak>

# object files
OBJS1 = unzip.obj $(CRC32).obj crctab.obj crypt.obj envargs.obj explode.obj
OBJS2 = extract.obj fileio.obj globals.obj inflate.obj list.obj match.obj
OBJS3 = process.obj ttyio.obj unreduce.obj unshrink.obj zipinfo.obj
OBJS4 = win32.obj nt.obj
OBJS  = $(OBJS1) $(OBJS2) $(OBJS3) $(OBJS4)
OBJX1 = unzipsfx.obj $(CRC32X).obj crctab.obj crypt.obj extract_.obj fileio.obj
OBJX2 = globalsx.obj inflate.obj match.obj process_.obj ttyio.obj
OBJX3 = win32_.obj nt.obj
OBJX  = $(OBJX1) $(OBJX2) $(OBJX3)
OBJF1 = funzip.obj $(CRC32F).obj cryptf.obj globalsf.obj inflatef.obj ttyiof.obj
OBJF2 = win32f.obj
OBJF  = $(OBJF1) $(OBJF2)

UNZIP_H = unzip.h unzpriv.h globals.h win32/w32cfg.h

#CF_LOC = -DMSDOS -DNO_ASM -J
#CF_LOC = -nologo -DNO_ASM -J -DREENTRANT
CF_LOC = -nologo -DNO_ASM -J
#CF_LOC = -nologo -DASM_CRC -J

cvars = $(cvars) $(CF_LOC)

CRC32 = crc32
#CRC32 = crc_i386
CRC32X = $(CRC32)
CRC32F = $(CRC32)

# USER32.LIB is needed for OemToChar and related routines
conlibs=$(conlibs) user32.lib

# Some optimization (if not debugging)
# [GRR 950816:  Steve suggests changing optimization flags to -O2, except for
#  UnZipSFX (-01)]
!IFDEF NODEBUG
!IF "$(CPU)" == "i386"
cdebug = -Ogityb2
!ELSE
cdebug = -Ogitb2
!ENDIF
!ENDIF

# How to compile sources
.c.obj:
	$(cc) $(cdebug) $(cflags) $(cvars) -o $@ $<

# How to link
.obj.exe:
   $(link) $(ldebug) $(conflags) $(conlibs) $** -out:$@


# Default target is all the executables
unzips : unzip.exe funzip.exe unzipsfx.exe


unzip.exe:  $(OBJS)
unzipsfx.exe:	$(OBJX)
funzip.exe:	$(OBJF)

crc32.obj:	crc32.c $(UNZIP_H) zip.h
crctab.obj:	crctab.c $(UNZIP_H) zip.h
crypt.obj:	crypt.c $(UNZIP_H) zip.h crypt.h ttyio.h
envargs.obj:	envargs.c $(UNZIP_H)
explode.obj:	explode.c $(UNZIP_H)
extract.obj:	extract.c $(UNZIP_H) crypt.h
fileio.obj:	fileio.c $(UNZIP_H) crypt.h ttyio.h ebcdic.h
funzip.obj:	funzip.c $(UNZIP_H) crypt.h ttyio.h tables.h
globals.obj:	globals.c $(UNZIP_H)
inflate.obj:	inflate.c inflate.h $(UNZIP_H)
match.obj:	match.c $(UNZIP_H)
process.obj:	process.c $(UNZIP_H)
ttyio.obj:	ttyio.c $(UNZIP_H) zip.h crypt.h ttyio.h
unreduce.obj:	unreduce.c $(UNZIP_H)
unshrink.obj:	unshrink.c $(UNZIP_H)
unzip.obj:	unzip.c $(UNZIP_H) crypt.h version.h consts.h
zipinfo.obj:	zipinfo.c $(UNZIP_H)

win32.obj:  win32\win32.c $(UNZIP_H) win32\nt.h
	$(cc) $(cdebug) $(cflags) $(cvars) -I. win32\win32.c

nt.obj:  win32\nt.c win32\nt.h
	$(cc) $(cdebug) $(cflags) $(cvars) -I. win32\nt.c

crc_i386.obj:	win32/crc_i386.asm
	masm -ml win32/crc_i386.asm,$@;

win32_.obj: win32\win32.c $(UNZIP_H) win32\nt.h			# unzipsfx only
	$(cc) $(cdebug) $(cflags) $(cvars) -I. -DSFX win32\win32.c -Fo$@

win32f.obj: win32\win32.c $(UNZIP_H) win32\nt.h			# funzip only
	$(cc) $(cdebug) $(cflags) $(cvars) -I. -DFUNZIP win32\win32.c -Fo$@

cryptf.obj:	crypt.c $(UNZIP_H) zip.h crypt.h ttyio.h	# funzip only
	$(cc) $(cdebug) $(cflags) $(cvars) -DFUNZIP crypt.c -Fo$@

extract_.obj:	extract.c $(UNZIP_H) crypt.h			# unzipsfx only
	$(cc) $(cdebug) $(cflags) $(cvars) -DSFX extract.c -Fo$@

globalsx.obj:	globals.c $(UNZIP_H)				# unzipsfx only
	$(cc) $(cdebug) $(cflags) $(cvars) -DSFX globals.c -Fo$@

globalsf.obj:	globals.c $(UNZIP_H)				# funzip only
	$(cc) $(cdebug) $(cflags) $(cvars) -DFUNZIP globals.c -Fo$@

inflatef.obj:	inflate.c inflate.h $(UNZIP_H) crypt.h		# funzip only
	$(cc) $(cdebug) $(cflags) $(cvars) -DFUNZIP inflate.c -Fo$@

process_.obj:	process.c $(UNZIP_H)				# unzipsfx only
	$(cc) $(cdebug) $(cflags) $(cvars) -DSFX process.c -Fo$@

ttyiof.obj:	ttyio.c $(UNZIP_H) zip.h crypt.h ttyio.h	# funzip only
	$(cc) $(cdebug) $(cflags) $(cvars) -DFUNZIP ttyio.c -Fo$@

unzipsfx.obj:	unzip.c $(UNZIP_H) crypt.h version.h consts.h	# unzipsfx only
	$(cc) $(cdebug) $(cflags) $(cvars) -DSFX unzip.c -Fo$@

clean:
	del /q $(OBJS) unzip.exe $(OBJF) funzip.exe $(OBJX) unzipsfx.exe

## unzip-crypt 5.50

=== debian/changelog ===
unzip-crypt (5.50) unstable; urgency=low

  * Dummy package so that unzip replaces the old unzip-crypt.

 -- Santiago Vila <sanvila@debian.org>  Sun, 31 Mar 2002 13:49:34 +0200

=== debian/control ===
Source: unzip-crypt
Section: oldlibs
Priority: extra
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.5.6

Package: unzip-crypt
Architecture: all
Depends: unzip
Description: Legacy package for unzip-crypt that you should remove.
 This package exists only to provide a smooth upgrade from the old unzip-crypt
 to the new unzip. Please remove it.

=== debian/rules ===
#!/usr/bin/make -f

package = unzip-crypt
docdir = debian/tmp/usr/share/doc/$(package)

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-arch: checkroot build
	$(checkdir)

binary-indep: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	cp -p debian/changelog debian/copyright $(docdir)
	gzip -9 $(docdir)/changelog
	sh debian/mk-symlinks $(package)
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## unzip-crypt 5.50.3

=== debian/changelog ===
unzip-crypt (5.50.3) unstable; urgency=low

  * Removed doc symlinks.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Aug 2003 14:00:30 +0200

=== debian/control ===
Source: unzip-crypt
Section: oldlibs
Priority: extra
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.6.0

Package: unzip-crypt
Architecture: all
Depends: unzip
Description: Legacy package for unzip-crypt that you should remove
 This package exists only to provide a smooth upgrade from the old unzip-crypt
 to the new unzip. Please remove it.

=== debian/rules ===
--- 
+++ 
@@ -9,22 +9,21 @@
 
 clean:
 	$(checkdir)
-	-rm -f build
-	-rm -f `find . -name "*~"`
-	-rm -rf debian/tmp debian/files* core debian/substvars
+	rm -f build
+	rm -f `find . -name "*~"`
+	rm -rf debian/tmp debian/files* core debian/substvars
 
 binary-arch: checkroot build
 	$(checkdir)
 
 binary-indep: checkroot build
 	$(checkdir)
-	-rm -rf debian/tmp
+	rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN $(docdir)
 	cp -p debian/changelog debian/copyright $(docdir)
 	gzip -9 $(docdir)/changelog
-	sh debian/mk-symlinks $(package)
 	dpkg-gencontrol -isp
-	chown -R root.root debian/tmp
+	chown -R root:root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..
